Package org.eclipse.net4j.util.io

## Class IOUtil.FileCollector

- java.lang.Object
- - org.eclipse.net4j.util.io.IOUtil.FileCollector

- All Implemented Interfaces:
    `IOVisitor`
  Enclosing class:
    IOUtil

      public static class IOUtil.FileCollector
      extends java.lang.Object
      implements IOVisitor

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileCollector()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.io.File>` | `getFiles()` |
    `boolean` | `visit​(java.io.File file)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileCollector

          public FileCollector()

  - ### Method Detail

    - #### getFiles

          public java.util.List<java.io.File> getFiles()

    - #### visit

          public boolean visit​(java.io.File file)
                        throws java.io.IOException

      Specified by:
        `visit` in interface `IOVisitor`
      Throws:
        `java.io.IOException`